# -*- coding: utf-8 -*-
# =============================================================================
#  Copyright (C) 2018 Mercados Electricos de Centroamérica. All rights reserved
# =============================================================================

"""Importa el archivo de red RTR a utilizar para el cálculo 
"""

from pandas import read_sql, read_csv, read_excel

# SERVER = "192.168.98.134"
# DB = "MEIntegrado"
# conn = pyodbc.connect('DRIVER={SQL Server};SERVER=' + SERVER + ';DATABASE=' + DB)
# query = "SELECT BUS_I, BUS_J, ID_CKT, X, R, CTOIJ, CTOJI  FROM MATRIZ_RTR WHERE FECHA = '{f}'"


def sql2net(fecha):
    """Lee la información de  la red desde una base de datos

    .. warning::

        Función no implementada.
    """
    q = query.format(f=fecha)
    df = read_sql(q, conn)
    df.columns = ['bus_i', 'bus_j', 'ckt', 'x', 'r', 'max', 'min']
    
    return df


def csv2net(file):
    """Lee la información de  la red desde un archivo csv
    """
    df = read_csv(file)
    df.columns = ['bus_i', 'bus_j', 'ckt', 'x', 'r', 'max', 'min']
    
    return df


def excel2net(file):
    """Lee la información de  la red desde un archivo de excel.

    .. note::

        La información debe de estar en una hoja del archivo llamada 'rtr'.
    """
    df = read_excel(file, sheet_name='rtr')
    df.columns = ['periodo','bus_i', 'bus_j', 'ckt', 'x', 'r', 'max', 'min']
    
    return df
